﻿function getIsPrimeNumber(n) {
	// декларираме променлива, в която да запишем резултата от проверката
	var isPrimeNumber;
	// ако числото е 2, явно е просто
	if (n === 2) {
		isPrimeNumber = true;
		// иначе, ако е (друго) четно число, явно не е просто
	} else if (n % 2 === 0) {
		isPrimeNumber = false;
		// иначе, всички числа са прости до доказване на противното
	} else {
		isPrimeNumber = true;

		// ще търсим делители в интервала [3; корен от n)
		var sqrt = Math.sqrt(n);
		// ще търсим само нечетни делители започвайки от 3
		// (ако числото имаше четен делител, щеше да се дели на 2)
		for (var i = 3; i < sqrt; i += 2) {
			// ако числото i е делител на числото n...
			if (n % i === 0) {
				// числото не е просто
				isPrimeNumber = false;
				// приключваме търсенето на делители
				break;
			}
		}
	}

	// връщаме резултата от проверката
	return isPrimeNumber;
}

// обхождаме числата в интервала [0; 100]
for (var n = 0; n <= 100; n++) {
	// проверяваме дали числото е просто
	var isPrimeNumber = getIsPrimeNumber(n);

	// ако числото е просто,...
	if (isPrimeNumber) {
		// в HTML документа добавяме съобщение, че е намерено просто число
		document.write('Числото ' + n + ' е просто.' + '<br />');
	}
}

// извеждаме прозорец със съобщение, че намирането на прости числа е приключило
alert('Намерих най-простите числа!');

// декларираме променлива, в която да запишем генерираното число
var n;
// декларираме променлива, в която да запишем резултата от проверката
var isPrimeNumber;
do {
	// генерираме произволно цяло число в интервала [0; 100)
	n = Math.floor(Math.random() * 100);
	// проверяваме дали числото е просто
	isPrimeNumber = getIsPrimeNumber(n);
	// търсим числа, докато не намерим просто такова
} while (!isPrimeNumber);

// извеждаме съобщение за намереното просто число
alert('Намерих простото число ' + n + '.');